com.elastisys.scale.cloudpool.api.restapi.types

## Class DetachMachineRequest

- java.lang.Object
- - com.elastisys.scale.cloudpool.api.restapi.types.DetachMachineRequest

    public class DetachMachineRequest
    extends Object

REST API request type that requests that a machine be detached from the machine pool.

See Also:
  `CloudPoolHandler.detachMachine(String, DetachMachineRequest)`

### Constructor Summary

Constructors
Constructor and Description
`DetachMachineRequest(boolean decrementDesiredSize)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object obj)`
`int` `hashCode()`
`boolean` `isDecrementDesiredSize()` Indicates if the desired size of the group should be decremented after terminating the machine.
`void` `setDecrementDesiredSize(boolean decrementDesiredSize)` Set to `true` if the desired size of the group should be decremented after terminating the machine.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DetachMachineRequest

    public DetachMachineRequest(boolean decrementDesiredSize)

### Method Detail

#### isDecrementDesiredSize

    public boolean isDecrementDesiredSize()

Indicates if the desired size of the group should be decremented after terminating the machine.

Returns:

#### setDecrementDesiredSize

    public void setDecrementDesiredSize(boolean decrementDesiredSize)

Set to `true` if the desired size of the group should be decremented after terminating the machine.

Parameters:
  `decrementDesiredSize` -

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`